# require gmake
CC   = cc 
CL   = cc
CFLAGS = -c -w
INSTALL_DIR = /usr/local/bin/
MANDIR = /usr/local/share/man/man6/

OBJS = tpw.o party.o char.o item.o rename.o edit.o tpwdump.o shoppe.o

all: btce

btce: btce.o $(OBJS)
	$(CC) btce.o $(OBJS) -o btce

btce.o : btce.c btce.h
tpw.o : tpw.c tpw.h
party.o : party.c party.h
char.o : char.c char.h
item.o : item.c item.h
rename.o : rename.c rename.h
edit.o : edit.c edit.h
tpwdump.o : tpwdump.c tpwdump.h
shoppe : shoppe.c shoppe.h

.SUFFIXES: .o
.c.o:
	${CC} ${CFLAGS} $< 

.PHONY: all clean pristine install uninstall
clean:
	rm -f *~ *.o *.mix c.err

pristine:
	rm -f *.o *.mix btce btce.exe c.err

install: btce
	cp btce ${INSTALL_DIR}
	cp bardtd.sh ${INSTALL_DIR}
	install -v btce.6 ${MANDIR}
#	cp td.bat $(INSTALL_DIR)
#	cp cureall.bat $(INSTALL_DIR)
#	cp cureall.in $(INSTALL_DIR)

uninstall:
	rm {INSTALL_DIR}btce
	rm ${MANDIR}btce.6
